{
  "type": "minecraft:tree",
  "config": {
    "dirt_provider": {
      "type": "minecraft:simple_state_provider",
      "state": {
        "Name": "minecraft:cobblestone"
      }
    },
    "foliage_provider": {
      "type": "minecraft:simple_state_provider",
      "state": {
        "Name": "minecraft:mossy_cobblestone"
      }
    },
    "trunk_provider": {
      "type": "minecraft:simple_state_provider",
      "state": {
        "Name": "minecraft:cobblestone"
      }
    },
    "force_dirt": false,
    "ignore_vines": true,
    "foliage_placer": {
      "type": "minecraft:jungle_foliage_placer",
      "radius": 2,
      "offset": 0,
      "height": 2
    },
    "trunk_placer": {
      "type": "minecraft:mega_jungle_trunk_placer",
      "base_height": 8,
      "height_rand_a": 8,
      "height_rand_b": 0
    },
    "minimum_size": {
      "type": "minecraft:two_layers_feature_size",
      "limit": 1,
      "lower_size": 1,
      "upper_size": 2
    },
    "decorators": [
      {
        "type": "minecraft:cocoa",
        "probability": 0
      },
      {
        "type": "minecraft:trunk_vine"
      },
      {
        "type": "minecraft:leave_vine",
        "probability": 0
      }
    ]
  }
}